export interface Item {
  value: string
  label: string
  code?: string
  priority?: number
}

export function recStrToItem(input: Record<string, string>): Item[] {
  const items: Item[] = []
  let idx = 0;
  for (const key in input) {
    if (input.hasOwnProperty(key)) {
      items.push({
        value: key || ('unknown-' + idx),
        label: input[key] || ('unknown-' + idx),
      })
    }
    idx++
  }
  return items
}

export { default as Combobox } from './combobox.vue'
